<mat-card>
  <div class="header">
    <h4 class="title">Overview</h4>
    <button mat-raised-button color="primary" class="btn-calculator export" (click)="exportFile()">Export</button>
  </div>
  <ag-grid-angular
    class="ag-theme-balham table"
    domLayout="autoHeight"
    [enableRangeSelection]="true"
    [columnDefs]="tableColumnDefs"
    [rowData]="tableData"
    (gridReady)="onGridReady($event)"
  >
  </ag-grid-angular>
  <gng-spinner class="spinner" *ngIf="loading"></gng-spinner>
</mat-card>
